package org.nakedobjects.nos.store.file;

import org.nakedobjects.noa.persist.ObjectNotFoundException;
import org.nakedobjects.noa.persist.ObjectPersistenceException;
import org.nakedobjects.nof.core.persist.SerialOid;

import java.util.Vector;

import junit.framework.Assert;


public class MockDataManager implements DataManager {
    private Vector actions = new Vector();

    public void assertAction(final int i, final String action) {
        if (i >= actions.size()) {
            Assert.fail("No such action " + action);
        }
        // Assert.assertEquals(action, actions.elementAt(i));
    }

    public MockDataManager() {
        super();
    }

    public SerialOid createOid() throws PersistorException {
        return null;
    }

    public void getNakedClass(final String name) {}

    public void insertObject(final ObjectData data) throws ObjectPersistenceException {}

    public boolean isInitialized() {
        return true;
    }
    
    public CollectionData loadCollectionData(final SerialOid oid) {
        return null;
    }

    public ObjectData loadObjectData(final SerialOid oid) {
        return null;
    }

    public void remove(final SerialOid oid) throws ObjectNotFoundException, ObjectPersistenceException {}

    public void save(final Data data) throws ObjectPersistenceException {
        actions.addElement(data);
    }

    public void shutdown() {}

    public ObjectDataVector getInstances(final ObjectData pattern) {
        return null;
    }

    public Data loadData(final SerialOid oid) {
        return null;
    }

    public int numberOfInstances(final ObjectData pattern) {
        actions.addElement(pattern.getClassName());

        return 5;
    }

    public String getDebugData() {
        return null;
    }

}
// Copyright (c) Naked Objects Group Ltd.
