package org.nakedobjects.nos.store.file;

import org.nakedobjects.nof.core.persist.SerialOid;
import org.nakedobjects.testing.TestSpecification;

import java.util.Enumeration;

import junit.framework.TestCase;


public class ObjectDataTest extends TestCase {

    public static void main(final String[] args) {
        junit.textui.TestRunner.run(ObjectDataTest.class);
    }

    public void testValueField() {
        FileVersion.setClock(new TestClock());

        TestSpecification type = new TestSpecification();
        ObjectData objectData = new ObjectData(type, SerialOid.createPersistent(13), new FileVersion(""));

        assertEquals(null, objectData.get("name"));
        objectData.set("name", "value");
        assertEquals("value", objectData.get("name"));

        Enumeration e = objectData.fields();
        e.nextElement();
        assertFalse(e.hasMoreElements());

    }

}
// Copyright (c) Naked Objects Group Ltd.
